%define bname qalculate

Summary:	A very versatile desktop calculator
Name:		qalculate-kde
Version:	0.9.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Office
URL:		http://qalculate.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/qalculate/%{name}-%{version}.tar.bz2 
Patch0:		qalculate-kde-0.9.6-cln12.patch
Patch1:		qalculate-kde-0.9.6-automake.patch
BuildRequires:	libqalculate-devel >= %{version} 
BuildRequires:	kdelibs-devel
BuildRequires:	qt3-devel
BuildRequires:	cln-devel
BuildRequires:	perl(XML::Parser)
#(tpg) needed by autogen.sh
BuildRequires:  intltool
BuildRequires:  libtool
Requires:	gnuplot
Requires:	wget
Obsoletes:	qalculate
Provides:	qalculate
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry 
(although it supports optional traditional buttons). 
This package provides the KDE frontend.
 
%prep
%setup -q 
%patch0 -p0
%patch1 -p1

%build
#(tpg) needed for patch 0
make -f admin/Makefile.common dist

%configure2_5x \
	--disable-rpath \
	--enable-final \
	--enable-pch \
	--enable-nmcheck \
	--enable-new-ldflags

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install \
	--remove-category="Application" \
	--add-category="KDE" \
	--add-category="Calculator" \
	--add-only-show-in="KDE" \
	--dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/*

##CAE rm symlink so both gtk and kde frontend are installable on same system
rm -f %{buildroot}%{_bindir}/qalculate

%find_lang %{bname}_kde

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{bname}_kde.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/qalculate_kde/*.rc
%{_datadir}/doc/HTML/en/qalculate_kde
%{_iconsdir}/hicolor/*/*/*.png


%changelog
* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-2mdv2008.1
+ Revision: 182207
- Patch0: fix building against latest cln-1.2
  Patch1: fix building against automake-1.10.1
- new license policy
- do not package COPYING AND INSTALL files
- fix desktop file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.0
+ Revision: 44643
- drop old menu style
- spec file clean
- adjust buildrequires
- pass some options for the configure script
- remoce X-MandrivaLinux
- add scriplets
- new version
- spec file clean


* Sat Jul 29 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-3mdv2007.0
- BR..really fix this time

* Fri Jul 28 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-2mdv2007.0
- BR

* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-1mdv2007.0
- initial mandriva package

